import { ButtonBase, Card, CardContent } from "@mui/material";
import Link from "next/link";

const QuizAdsCard = ({ banner }) => {
  return (
    <Card sx={{ width: "100%", height: "100%" }}>
      <CardContent className="w-full flex flex-col gap-16 pb-14">
        <strong>{banner.bannerText}</strong>
        <div className="w-full flex justify-center">
          <div className="w-full grid grid-cols-2 md:grid-cols-4 gap-3 max-w-[700px]">
            {banner.links.map((item, index) => (
              <Link key={index} href={"/"} className="w-full aspect-square ">
                <div className="w-full h-full  bg-white shadow-base rounded-xl ">
                  <ButtonBase
                    sx={{ width: "100%", height: "100%", borderRadius: "14px" }}
                  >
                    <div className="w-full h-full flex flex-col gap-3 p-2">
                      <div className="w-full h-[50%] flex items-center justify-center">
                        <div className="h-full w-20 flex items-center justify-center">
                          <img
                            src={item.image}
                            alt={item.imageAlt}
                            title={item.imageTitle}
                            className="w-[70%] h-auto"
                          />
                        </div>
                      </div>
                      <div className="w-full flex flex-1 flex-col gap-3">
                        <strong>{item.title}</strong>
                        <p className="text-xs text-text-second">{item.desc}</p>
                      </div>
                    </div>
                  </ButtonBase>
                </div>
              </Link>
            ))}
          </div>
        </div>
      </CardContent>
    </Card>
  );
};

export default QuizAdsCard;
